#include "previewwindow.h"

PreviewWindow::PreviewWindow()
{

}
PreviewWindow::~PreviewWindow()
{

}

void PreviewWindow::mousePressEvent(QMouseEvent *e)
{
    if(e->button() == Qt::LeftButton) {
        previewScreensaver();
    }
}

void PreviewWindow::previewScreensaver()
{
    static QProcess *viewProcess = new QProcess();
    viewProcess->start("ukui-screensaver-command --screensaver");
    Common::buriedSettings(QString("Screensaver"), QString("previewScreensaver"), QString("clicked"));
}
